require 'wechat_client/apis/getting'
require 'wechat_client/apis/posting'

module WechatClient
  class Api
    attr_reader :options
    attr_writer :access_token
    def initialize options
      @options = options
    end

    include WechatClient::Apis::Getting
    include WechatClient::Apis::Posting

    private

    def _access_token_
      @access_token || WechatClient.client.get(:access_token){|json| json['access_token']}
    end
  end
end
