module WechatClient
  module CacheStore
    class BaseStore
      def initialize client
        @client = client
      end

      def write key, json
        mar_obj = Marshal.dump(json)
        cache_write(key, mar_obj)
      end

      def read key
        mar_obj = cache_read(key)
        Marshal.load(mar_obj)
      end

      # def exists      key; end
      # def cache_write key, mar; end
      # def cache_read  mar; end
      # def delete      key; end

      # def method_missing m, *args
      #   @client.send(m, *args)
      # end
    end
  end
end
